# Visualization
TKV3d
DsgPrs

# DsgPrs_FixPresentation Class Reference

class which draws the presentation of Fixed objects

`#include <DsgPrs_FixPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPntAttach, const gp_Pnt &aPntEnd, const gp_Dir &aNormPln, const Standard_Real aSymbSize)
| draws the presentation of fixed objects by drawing the 'fix' symbol at position <apntend>. A binding segment is drawn between <apntattach> ( which belongs the the fix object) and <apntend>. aSymbSize is the size of the 'fix'symbol

## Member Function Documentation

static Standard_EXPORT void DsgPrs_FixPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPntAttach,
|  | const gp_Pnt & | aPntEnd,
|  | const gp_Dir & | aNormPln,
|  | const Standard_Real | aSymbSize
| ) | `[static]`

void DsgPrs_FixPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_FixPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_FixPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_FixPresentation.hxx